/***************************************************************/
/*LK-PIR Arduino Beispiel-Code*/
/*Funktion: Wird im Sichtfeld des Sensors eine Bewegung detektiert, so wird dies auf eine angeschlossesne LED ausgegeben*/
/*LinkerKit-Anschluss-Belegung: LK-PIR-> [D2|D3|V|G]  LK-LED->[13|NC|V|G]*/
/***************************************************************/



#define PIR_MOTION_SENSOR 2 //An Pin 2 wird das digitale Signal erfasst, ob der SEnsor eine Bewegung detektiert
#define LED	13 //Ausgangspin für die LED Ausgabe
 
 
void setup()
{
  // Pininitialisierung
	pinMode(PIR_MOTION_SENSOR, INPUT);
	pinMode(LED,OUTPUT);
}
 
void loop() 
{
  //Hauptprogrammschleife: Überprüfung, ob Senorfunktion eine Bewegung detektiert hat; In dem Falle wird die LED eingeschaltet, ansonsten ausgeschaltet.
	if(isPeopleDetected())
		turnOnLED();
	else
		turnOffLED();
}
 
 


void turnOnLED()
{
	digitalWrite(LED,HIGH);
}

void turnOffLED()
{
	digitalWrite(LED,LOW);
}


/***************************************************************/
/*Funktion: Überprüft, ob im Sichtfeld des Sensors eine Bewegung detektiert wurde*/
/*Return/Ausgabe: -boolean, "true" wenn eine Bewegung detektiert wurde.*/

boolean isPeopleDetected()
{
	int sensorValue = digitalRead(PIR_MOTION_SENSOR);
	if(sensorValue == HIGH) //if the sensor value is HIGH?
	{
		return true; //Ja, es wurde eine Bewegung detektiert
	}
	else
	{
		return false; //Nein, es gab keine Bewegung
	}
}
